"use strict";

function Polygon(points) {
    this.points = points;
    //Generate a random color
    this.color = '#'+(Math.random()*0xFFFFFF<<0).toString(16);
}

//Note draw assumes that a global ctx variable exists!
Polygon.prototype.draw = function() {
    ctx.fillStyle = this.color;

    ctx.beginPath();
    ctx.moveTo(this.points[0][0],this.points[0][1]);

    for(var i = 1; i < this.points.length; i++) {
        ctx.lineTo(this.points[i][0],this.points[i][1]);
    }
    ctx.fill();
};